Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Compile error about "macosx10.7" not existing. #38

Closed
fingermark opened this Issue · 4 comments

2 participants

@fingermark

Check dependencies error: "error: There is no SDK with the name or path 'macosx10.7'. I'm on snow leopard.

@rowanj
Owner

rowanj/GitX now uses Automatic Reference Counting (ARC), a relatively recent feature which I do not believe is supported when targeting OS X with Xcode 4.2 or earlier on Snow Leopard.

If you want to build this fork of GitX on Snow Leopard, you may be able to get it working if you adjust the build settings for the GitX (app), gitx (command-line utility), and ObjectiveGit.framework as follows:

  • Objective-C Garbage Collection: Required
  • Objective-C Automatic Reference Counting: No

If you do not need to make modifications to the program, I suggest instead getting a pre-built binary from https://github.com/rowanj/gitx/downloads

Edit:
and changing the Base SDK of the Sparkle framework from "OS X 10.7" to "Latest OS X"

@rowanj
Owner

A month later, I'm assuming @fingermark

  1. got it built; or
  2. downloaded a binary; or
  3. upgraded to Lion; or
  4. gave up on this fork.
@rowanj rowanj closed this
@fingermark

#2. Thanks. Sorry for not updating the ticket.

@rowanj
Owner

No worries; glad you stuck with it!

This issue prompted me to make the binary downloads much more prominent in the website and readme pages (they could probably be even more so); I'm sure you weren't the first to miss them.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.